## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 7;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# The tests require network access and a running server; see
# .github/workflows/ci.yml for details.
%bcond tests 0

Name:           python-snakemake-executor-plugin-tes
Version:        0.1.3
Release:        %autorelease
Summary:        A Snakemake executor plugin for submitting jobs via GA4GH TES

# SPDX
License:        MIT
URL:            https://github.com/snakemake/snakemake-executor-plugin-tes
# We use the GitHub archive instead of the PyPI sdist to get CHANGELOG.md and
# the tests.
Source:         %{url}/archive/v%{version}/snakemake-executor-plugin-tes-%{version}.tar.gz

# Update to py-tes 1.x
# https://github.com/snakemake/snakemake-executor-plugin-tes/pull/16
Patch:          %{url}/pull/16.patch

BuildSystem:            pyproject
BuildOption(install):   -L snakemake_executor_plugin_tes

BuildArch:      noarch

# See: [tool.poetry.dev-dependencies] in pyproject.toml
BuildRequires:  snakemake >= 8
%if %{with tests}
BuildRequires:  %{py3_dist pytest}
BuildRequires:  %{py3_dist snakemake-storage-plugin-s3}
%endif

%global common_description %{expand:
%{summary}.}

%description %{common_description}


%package -n python3-snakemake-executor-plugin-tes
Summary:        %{summary}

%description -n python3-snakemake-executor-plugin-tes %{common_description}


%check -a
%if %{with tests}
%pytest -v tests/tests.py
%endif


%files -n python3-snakemake-executor-plugin-tes -f %{pyproject_files}
%license LICENSE
%doc CHANGELOG.md
%doc README.md


%changelog
## START: Generated by rpmautospec
* Wed May 07 2025 Benjamin A. Beasley <code@musicinmybrain.net> - 0.1.3-7
- F41+: Use the provisional pyproject declarative buildsystem

* Sat Jan 18 2025 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.3-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Mon Dec 09 2024 Benjamin A. Beasley <code@musicinmybrain.net> - 0.1.3-4
- Update to py-tes 1.x

* Fri Jul 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Sun Jun 09 2024 Python Maint <python-maint@redhat.com> - 0.1.3-2
- Rebuilt for Python 3.13

* Tue Mar 12 2024 Benjamin A. Beasley <code@musicinmybrain.net> - 0.1.3-1
- Update to 0.1.3

* Wed Jan 24 2024 Benjamin A. Beasley <code@musicinmybrain.net> - 0.1.2-1
- Initial package (close RHBZ#2259298)
## END: Generated by rpmautospec
